﻿using System;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Label1.Text = "Scope is: "
                + WebPartManager1.Personalization.Scope.ToString();
    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        if ((WebPartManager1.Personalization.Scope == PersonalizationScope.User)
          && (WebPartManager1.Personalization.CanEnterSharedScope))
        {
            WebPartManager1.Personalization.ToggleScope();
        }
        else if (WebPartManager1.Personalization.Scope ==
          PersonalizationScope.Shared)
        {
            WebPartManager1.Personalization.ToggleScope();
        }
        else
        {
            // If the user cannot enter shared scope 
            // notify them
            Label1.Text = "You can't enter the shared scope. Check that enterSharedScope is enabled in web.config";

        }
    }

}
