﻿using System;

namespace MSDN.SPTips.Task
{
    /// <summary>
    /// In memory implementation of ITaskRepository (SharePoint independent).
    /// </summary>
    public class StubbedTaskRepository : ITaskRepository
    {
        public TaskCollection GetTasks()
        {
            TaskCollection tasks = new TaskCollection();
            tasks.Add(new Task{ TaskName = "Task 1", PercentComplete = 0.50 });
            tasks.Add(new Task{ TaskName = "Task 2", PercentComplete = 0.80 });

            return tasks;
        }
    }
}
