﻿using System;

namespace MSDN.SPTips.Task
{
    /// <summary>
    /// Stubbed implementation for the purpose of testing
    /// make sure you create a SharePoint Task list with 
    /// at least one item added to it.    
    /// </summary>
    public class StubbedTaskRepositoryConfig : ITaskRepositoryConfig
    {

        public string SiteUrl
        {
            get
            {
                // IMPORTANT: You must change this value to
                // a SharePoint web containing a task list
                // with at least one list item in it
                // our implemenation uses the root web
                // so be sure to use the root web of a 
                // site collection for your testing.
                return "http://ossrtm";
            }
        }
        
        
        public string ListName
        {
            get
            {
                return "Tasks";
            }
        }

        public string PercentCompleteFieldName
        {
            get
            {
                return "PercentComplete";
            }
        }

        public string TaskNameFieldName
        {
            get
            {
                return "Title";
            }
        }
    }
}
