﻿using System;
using System.Collections.Generic;
using MSDN.SPTips.Task;

namespace MSDN.SPTips.WebPart.Presentation
{
    public class Presenter {

        IView _view;
        // The repository class represents the model layer of the MVP pattern
        ITaskRepository _repository;

        //public Presenter(IView view) : this(view, new StubbedTaskRepository())
        //{
        //    // in a production level application, use an IoC container
        //}

        public Presenter(IView view, ITaskRepository repository) {
            _view = view;
            _repository = repository;
        }

        public void InitializeView() {

            TaskCollection tasks = _repository.GetTasks();
            
            _view.Tasks = tasks;
        }
    }
}
